uses
	math;

procedure test(i, j: longint);
begin
	writeln(i, ' ', j);
end;

var
	t, i, j, k: longint;

begin
	randseed := 297340724;

	test(4, 4);

	for i := 1 to 7 do begin
		for j := 1 to 7 do begin
			test(i, j);
		end;
	end;

	test(1, 50);
	test(50, 1);
	test(2, 50);
	test(50, 2);


	for i := 1 to 5 do begin
		for j := 1 to 5 do begin
			test(i * 10, j * 10);
		end;
	end;

	for i := 1 to 20 do begin
		test(10 * (random(4) + 1) + 1 + random(9), 10 * (random(4) + 1) + 1 + random(9));
	end;
end. 